package com.xmomen.module.order.entity;

import com.xmomen.framework.mybatis.model.BaseMybatisExample;
import java.util.ArrayList;
import java.util.List;

// 定义一个名为TbReturnOrderItemExample的类，继承自BaseMybatisExample
public class TbReturnOrderItemExample extends BaseMybatisExample {
    // 定义一个orderByClause变量，用于存储排序的子句
    protected String orderByClause;

    // 定义一个distinct变量，用于存储是否去重的标志
    protected boolean distinct;

    // 定义一个oredCriteria变量，用于存储查询条件
    protected List<Criteria> oredCriteria;

    // 构造函数，初始化oredCriteria
    public TbReturnOrderItemExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    // 设置orderByClause的值
    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    // 获取orderByClause的值
    public String getOrderByClause() {
        return orderByClause;
    }

    // 设置distinct的值
    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    // 获取distinct的值
    public boolean isDistinct() {
        return distinct;
    }

    // 获取oredCriteria的值
    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    // 添加一个查询条件
    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    // 创建一个新的查询条件
    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    // 创建一个新的查询条件
    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    // 创建一个新的查询条件
    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    // 清空查询条件
    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    // 定义一个抽象的内部类GeneratedCriteria，用于存储查询条件
    protected abstract static class GeneratedCriteria {
        // 定义一个criteria变量，用于存储查询条件
        protected List<Criterion> criteria;

        // 构造函数，初始化criteria
        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        // 判断查询条件是否有效
        public boolean isValid() {
            return criteria.size() > 0;
        }

        // 获取所有的查询条件
        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        // 获取查询条件
        public List<Criterion> getCriteria() {
            return criteria;
        }

        // 添加一个查询条件
        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        // 添加一个查询条件
        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        // 添加一个查询条件
        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        // 判断ID是否为空
        public Criteria andIdIsNull() {
            addCriterion("ID is null");
            return (Criteria) this;
        }

        // 判断ID是否不为空
        public Criteria andIdIsNotNull() {
            addCriterion("ID is not null");
            return (Criteria) this;
        }

        // 判断ID是否等于某个值
        public Criteria andIdEqualTo(Integer value) {
            addCriterion("ID =", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否不等于某个值
        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("ID <>", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否大于某个值
        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("ID >", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否大于等于某个值
        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("ID >=", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否小于某个值
        public Criteria andIdLessThan(Integer value) {
            addCriterion("ID <", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否小于等于某个值
        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("ID <=", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否在某个范围内
        public Criteria andIdIn(List<Integer> values) {
            addCriterion("ID in", values, "id");
            return (Criteria) this;
        }

        // 判断ID是否不在某个范围内
        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("ID not in", values, "id");
            return (Criteria) this;
        }

        // 判断ID是否在某个范围内
        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("ID between", value1, value2, "id");
            return (Criteria) this;
        }

        // 判断ID是否不在某个范围内
        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("ID not between", value1, value2, "id");
            return (Criteria) this;
        }

        // 判断RETURN_ORDER_ID是否为空
        public Criteria andReturnOrderIdIsNull() {
            addCriterion("RETURN_ORDER_ID is null");
            return (Criteria) this;
        }

        // 判断RETURN_ORDER_ID是否不为空
        public Criteria andReturnOrderIdIsNotNull() {
            addCriterion("RETURN_ORDER_ID is not null");
            return (Criteria) this;
        }

        // 判断RETURN_ORDER_ID是否等于某个值
        public Criteria andReturnOrderIdEqualTo(Integer value) {
            addCriterion("RETURN_ORDER_ID =", value, "returnOrderId");
            return (Criteria) this;
        }

        // 判断RETURN_ORDER_ID是否不等于某个值
        public Criteria andReturnOrderIdNotEqualTo(Integer value) {
            addCriterion("RETURN_ORDER_ID <>", value, "returnOrderId");
            return (Criteria) this;
        }

        // 判断RETURN_ORDER_ID是否大于某个值
        public Criteria andReturnOrderIdGreaterThan(Integer value) {
            addCriterion("RETURN_ORDER_ID >", value, "returnOrderId");
            return (Criteria) this;
        }

        // 判断RETURN_ORDER_ID是否大于等于某个值
        public Criteria andReturnOrderIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("RETURN_ORDER_ID >=", value, "returnOrderId");
            return (Criteria) this;
        }

        // 判断RETURN_ORDER_ID是否小于某个值
        public Criteria andReturnOrderIdLessThan(Integer value) {
            addCriterion("RETURN_ORDER_ID <", value, "returnOrderId");
            return (Criteria) this;
        }

        // 判断RETURN_ORDER_ID是否小于等于某个值
        public Criteria andReturnOrderIdLessThanOrEqualTo(Integer value) {
            addCriterion("RETURN_ORDER_ID <=", value, "returnOrderId");
            return (Criteria) this;
        }

        // 判断RETURN_ORDER_ID是否在某个范围内
        public Criteria andReturnOrderIdIn(List<Integer> values) {
            addCriterion("RETURN_ORDER_ID in", values, "returnOrderId");
            return (Criteria) this;
        }

        // 判断RETURN_ORDER_ID是否不在某个范围内
        public Criteria andReturnOrderIdNotIn(List<Integer> values) {
            addCriterion("RETURN_ORDER_ID not in", values, "returnOrderId");
            return (Criteria) this;
        }

        // 判断RETURN_ORDER_ID是否在某个范围内
        public Criteria andReturnOrderIdBetween(Integer value1, Integer value2) {
            addCriterion("RETURN_ORDER_ID between", value1, value2, "returnOrderId");
            return (Criteria) this;
        }

        // 判断RETURN_ORDER_ID是否不在某个范围内
        public Criteria andReturnOrderIdNotBetween(Integer value1, Integer value2) {
            addCriterion("RETURN_ORDER_ID not between", value1, value2, "returnOrderId");
            return (Criteria) this;
        }

        // 判断ITEM_CODE是否为空
        public Criteria andItemCodeIsNull() {
            addCriterion("ITEM_CODE is null");
            return (Criteria) this;
        }

        // 判断ITEM_CODE是否不为空
        public Criteria andItemCodeIsNotNull() {
            addCriterion("ITEM_CODE is not null");
            return (Criteria) this;
        }

        // 判断ITEM_CODE是否等于某个值
        public Criteria andItemCodeEqualTo(String value) {
            addCriterion("ITEM_CODE =", value, "itemCode");
            return (Criteria) this;
        }

        // 判断ITEM_CODE是否不等于某个值
        public Criteria andItemCodeNotEqualTo(String value) {
            addCriterion("ITEM_CODE <>", value, "itemCode");
            return (Criteria) this;
        }

        // 判断ITEM_CODE是否大于某个值
        public Criteria andItemCodeGreaterThan(String value) {
            addCriterion("ITEM_CODE >", value, "itemCode");
            return (Criteria) this;
        }

        // 判断ITEM_CODE是否大于等于某个值
        public Criteria andItemCodeGreaterThanOrEqualTo(String value) {
            addCriterion("ITEM_CODE >=", value, "itemCode");
            return (Criteria) this;
        }

        // 判断ITEM_CODE是否小于某个值
        public Criteria andItemCodeLessThan(String value) {
            addCriterion("ITEM_CODE <", value, "itemCode");
            return (Criteria) this;
        }

        // 判断ITEM_CODE是否小于等于某个值
        public Criteria andItemCodeLessThanOrEqualTo(String value) {
            addCriterion("ITEM_CODE <=", value, "itemCode");
            return (Criteria) this;
        }

        // 判断ITEM_CODE是否包含某个值
        public Criteria andItemCodeLike(String value) {
            addCriterion("ITEM_CODE like", value, "itemCode");
            return (Criteria) this;
        }

        // 判断ITEM_CODE是否不包含某个值
        public Criteria andItemCodeNotLike(String value) {
            addCriterion("ITEM_CODE not like", value, "itemCode");
            return (Criteria) this;
        }

        // 判断ITEM_CODE是否在某个范围内
        public Criteria andItemCodeIn(List<String> values) {
            addCriterion("ITEM_CODE in", values, "itemCode");
            return (Criteria) this;
        }

        // 判断ITEM_CODE是否不在某个范围内
        public Criteria andItemCodeNotIn(List<String> values) {
            addCriterion("ITEM_CODE not in", values, "itemCode");
            return (Criteria) this;
        }

        // 判断ITEM_CODE是否在某个范围内
        public Criteria andItemCodeBetween(String value1, String value2) {
            addCriterion("ITEM_CODE between", value1, value2, "itemCode");
            return (Criteria) this;
        }

        // 判断ITEM_CODE是否不在某个范围内
        public Criteria andItemCodeNotBetween(String value1, String value2) {
            addCriterion("ITEM_CODE not between", value1, value2, "itemCode");
            return (Criteria) this;
        }

        // 判断ITEM_NUMBER是否为空
        public Criteria andItemNumberIsNull() {
            addCriterion("ITEM_NUMBER is null");
            return (Criteria) this;
        }

        // 判断ITEM_NUMBER是否不为空
        public Criteria andItemNumberIsNotNull() {
            addCriterion("ITEM_NUMBER is not null");
            return (Criteria) this;
        }

        // 判断ITEM_NUMBER是否等于某个值
        public Criteria andItemNumberEqualTo(Integer value) {
            addCriterion("ITEM_NUMBER =", value, "itemNumber");
            return (Criteria) this;
        }

        // 判断ITEM_NUMBER是否不等于某个值
        public Criteria andItemNumberNotEqualTo(Integer value) {
            addCriterion("ITEM_NUMBER <>", value, "itemNumber");
            return (Criteria) this;
        }

        // 判断ITEM_NUMBER是否大于某个值
        public Criteria andItemNumberGreaterThan(Integer value) {
            addCriterion("ITEM_NUMBER >", value, "itemNumber");
            return (Criteria) this;
        }

        // 判断ITEM_NUMBER是否大于等于某个值
        public Criteria andItemNumberGreaterThanOrEqualTo(Integer value) {
            addCriterion("ITEM_NUMBER >=", value, "itemNumber");
            return (Criteria) this;
        }

        // 判断ITEM_NUMBER是否小于某个值
        public Criteria andItemNumberLessThan(Integer value) {
            addCriterion("ITEM_NUMBER <", value, "itemNumber");
            return (Criteria) this;
        }

        // 判断ITEM_NUMBER是否小于等于某个值
        public Criteria andItemNumberLessThanOrEqualTo(Integer value) {
            addCriterion("ITEM_NUMBER <=", value, "itemNumber");
            return (Criteria) this;
        }

        // 判断ITEM_NUMBER是否在某个范围内
        public Criteria andItemNumberIn(List<Integer> values) {
            addCriterion("ITEM_NUMBER in", values, "itemNumber");
            return (Criteria) this;
        }

        // 判断ITEM_NUMBER是否不在某个范围内
        public Criteria andItemNumberNotIn(List<Integer> values) {
            addCriterion("ITEM_NUMBER not in", values, "itemNumber");
            return (Criteria) this;
        }

        // 判断ITEM_NUMBER是否在某个范围内
        public Criteria andItemNumberBetween(Integer value1, Integer value2) {
            addCriterion("ITEM_NUMBER between", value1, value2, "itemNumber");
            return (Criteria) this;
        }

        // 判断ITEM_NUMBER是否不在某个范围内
        public Criteria andItemNumberNotBetween(Integer value1, Integer value2) {
            addCriterion("ITEM_NUMBER not between", value1, value2, "itemNumber");
            return (Criteria) this;
        }

        // 判断ITEM_NAME是否为空
        public Criteria andItemNameIsNull() {
            addCriterion("ITEM_NAME is null");
            return (Criteria) this;
        }

        // 判断ITEM_NAME是否不为空
        public Criteria andItemNameIsNotNull() {
            addCriterion("ITEM_NAME is not null");
            return (Criteria) this;
        }

        // 判断ITEM_NAME是否等于某个值
        public Criteria andItemNameEqualTo(String value) {
            addCriterion("ITEM_NAME =", value, "itemName");
            return (Criteria) this;
        }

        // 判断ITEM_NAME是否不等于某个值
        public Criteria andItemNameNotEqualTo(String value) {
            addCriterion("ITEM_NAME <>", value, "itemName");
            return (Criteria) this;
        }

        // 判断ITEM_NAME是否大于某个值
        public Criteria andItemNameGreaterThan(String value) {
            addCriterion("ITEM_NAME >", value, "itemName");
            return (Criteria) this;
        }

        // 判断ITEM_NAME是否大于等于某个值
        public Criteria andItemNameGreaterThanOrEqualTo(String value) {
            addCriterion("ITEM_NAME >=", value, "itemName");
            return (Criteria) this;
        }

        // 判断ITEM_NAME是否小于某个值
        public Criteria andItemNameLessThan(String value) {
            addCriterion("ITEM_NAME <", value, "itemName");
            return (Criteria) this;
        }

        // 判断ITEM_NAME是否小于等于某个值
        public Criteria andItemNameLessThanOrEqualTo(String value) {
            addCriterion("ITEM_NAME <=", value, "itemName");
            return (Criteria) this;
        }

        // 判断ITEM_NAME是否包含某个值
        public Criteria andItemNameLike(String value) {
            addCriterion("ITEM_NAME like", value, "itemName");
            return (Criteria) this;
        }

        // 判断ITEM_NAME是否不包含某个值
        public Criteria andItemNameNotLike(String value) {
            addCriterion("ITEM_NAME not like", value, "itemName");
            return (Criteria) this;
        }

        // 判断ITEM_NAME是否在某个范围内
        public Criteria andItemNameIn(List<String> values) {
            addCriterion("ITEM_NAME in", values, "itemName");
            return (Criteria) this;
        }

        // 判断ITEM_NAME是否不在某个范围内
        public Criteria andItemNameNotIn(List<String> values) {
            addCriterion("ITEM_NAME not in", values, "itemName");
            return (Criteria) this;
        }

        // 判断ITEM_NAME是否在某个范围内
        public Criteria andItemNameBetween(String value1, String value2) {
            addCriterion("ITEM_NAME between", value1, value2, "itemName");
            return (Criteria) this;
        }

        // 判断ITEM_NAME是否不在某个范围内
        public Criteria andItemNameNotBetween(String value1, String value2) {
            addCriterion("ITEM_NAME not between", value1, value2, "itemName");
            return (Criteria) this;
        }

        // 判断IS_NEED是否为空
        public Criteria andIsNeedIsNull() {
            addCriterion("IS_NEED is null");
            return (Criteria) this;
        }

        // 判断IS_NEED是否不为空
        public Criteria andIsNeedIsNotNull() {
            addCriterion("IS_NEED is not null");
            return (Criteria) this;
        }

        // 判断IS_NEED是否等于某个值
        public Criteria andIsNeedEqualTo(Integer value) {
            addCriterion("IS_NEED =", value, "isNeed");
            return (Criteria) this;
        }

        // 判断IS_NEED是否不等于某个值
        public Criteria andIsNeedNotEqualTo(Integer value) {
            addCriterion("IS_NEED <>", value, "isNeed");
            return (Criteria) this;
        }

        // 判断IS_NEED是否大于某个值
        public Criteria andIsNeedGreaterThan(Integer value) {
            addCriterion("IS_NEED >", value, "isNeed");
            return (Criteria) this;
        }

        // 判断IS_NEED是否大于等于某个值
        public Criteria andIsNeedGreaterThanOrEqualTo(Integer value) {
            addCriterion("IS_NEED >=", value, "isNeed");
            return (Criteria) this;
        }

        // 判断IS_NEED是否小于某个值
        public Criteria andIsNeedLessThan(Integer value) {
            addCriterion("IS_NEED <", value, "isNeed");
            return (Criteria) this;
        }

        // 判断IS_NEED是否小于等于某个值
        public Criteria andIsNeedLessThanOrEqualTo(Integer value) {
            addCriterion("IS_NEED <=", value, "isNeed");
            return (Criteria) this;
        }

        // 判断IS_NEED是否在某个范围内
        public Criteria andIsNeedIn(List<Integer> values) {
            addCriterion("IS_NEED in", values, "isNeed");
            return (Criteria) this;
        }

        // 判断IS_NEED是否不在某个范围内
        public Criteria andIsNeedNotIn(List<Integer> values) {
            addCriterion("IS_NEED not in", values, "isNeed");
            return (Criteria) this;
        }

        public Criteria andIsNeedBetween(Integer value1, Integer value2) {
            addCriterion("IS_NEED between", value1, value2, "isNeed");
            return (Criteria) this;
        }

        public Criteria andIsNeedNotBetween(Integer value1, Integer value2) {
            addCriterion("IS_NEED not between", value1, value2, "isNeed");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}